import { CommonModule } from '@angular/common';
import { ChangeDetectionStrategy, Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';

@Component({
  selector: 'app-root',
  standalone: true,
  changeDetection: ChangeDetectionStrategy.OnPush,
  imports: [RouterOutlet, CommonModule],
  template: `<router-outlet />`,
})
export class AppComponent {
  title = 'Meu-template-CSR';
}
// onOk(): void {
//   if (this.isOnEdit && this.selectedJob) {
//     if(!this.validateJobForm.valid){
//       this.createNotification();
//       return;}
//     const updatedJob: JobModel = {
//       id: this.selectedJob.id,
//       type: this.validateJobForm.value.type ?? undefined,
//       created_at: this.selectedJob.created_at,
//       company: this.validateJobForm.value.company ?? undefined,
//       location: this.validateJobForm.value.location ?? undefined,
//       title: this.validateJobForm.value.title ?? undefined,
//       description: this.validateJobForm.value.description ?? undefined,

//     };
//     this.jobService.editJob(updatedJob).pipe(
//       tap((res) => {
//         this.message.success(res.message, { nzDuration: 2500 });
//         this._cdr.markForCheck();
//         this.loadDataFromServer();

//       }),
//       catchError((err) => {
//         this.message.error(err.message, { nzDuration: 2500 });
//         return of(null);
//       })
//     ).subscribe();
//   } else if (this.isOnAdd && this.selectedJob) {
//     if(!this.validateJobForm.valid){
//       this.createNotification();
//       return;}
//     const newJob: JobModel = {
//       id: this.selectedJob.id,
//       type: this.validateJobForm.value.type ?? undefined,
//       created_at: this.selectedJob.created_at,
//       company: this.validateJobForm.value.company ?? undefined,
//       location: this.validateJobForm.value.location ?? undefined,
//       title: this.validateJobForm.value.title ?? undefined,
//       description: this.validateJobForm.value.description ?? undefined,
//     };
//     this.loading = true;
//     this.jobService.addingNewJob(newJob).pipe(
//       tap((res) => {
//         this.message.success(res.message, { nzDuration: 2500 });

//         this.loadDataFromServer();
//       }),
//       catchError((err) => {
//         this.message.error(err.message, { nzDuration: 2500 });
//         return of(null);
//       })
//     ).subscribe();
//   }
//   this.isOpenModal = false;
//   this.isOnEdit = false;
//   this.isOnAdd = false;
// }
