import { CommonModule } from '@angular/common';
import { ChangeDetectionStrategy, Component, OnInit } from '@angular/core';
import { NzIconModule } from 'ng-zorro-antd/icon';
import { NzLayoutModule } from 'ng-zorro-antd/layout';
@Component({
  selector: 'meu-footer',
  standalone: true,
  imports: [CommonModule,
    NzLayoutModule,
    NzIconModule
  ],
  templateUrl: './footer.component.html',
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FooterComponent implements OnInit {
  list: {href: string, title: string}[] = [
    {href: 'about', title: 'về chúng tôi'},
    {href: 'contact', title: 'liên hệ'},
    {href: 'privacy', title: 'chính sách bảo mật'}
  ];
  listIcon: string[] = ['facebook', 'instagram', 'twitter'];

  ngOnInit(): void {}
}
